<form method="POST" enctype="multipart/form-data">
   caption: <input name="caption"><br>
   picture: <input name="photo" type="file"
accept="image/jpeg, image/png"><br>
   <button>Upload</button>
</form>